function E0090()
    MNA()CMU("CS_Vivi")RoomInit()FAI(0)
end
function E0091()
    MNA()CMU("CS_Vivi")RoomInit()FAI(1)
end
function E0092()
    MNA()CMU("CS_Vivi")RoomInit()FAI(2)
end
function E0093()
    MNA()CMU("CS_Vivi")RoomInit()FAI(3)
end
function E0094()
    MNA()CMU("CS_Vivi")RoomInit()FAI(4)
end

function RoomInit()
    ANP("TeleporterHead1","on")
end

function GoGaudiBlackmaketSquare()
    PRI()FAO(2)TRA("CS_gaudi_blackmaket_square","E0090",11,17,0,18)
end

function QuoteCurlyArrive()
    KEY()
    ANP("TeleporterHead1","on")
    CMU("CS_Vivi")
    FAI(2)
    WAI(60)
    ANP("TeleporterBase1","light_on")
    MOV(9,13,MCI("CS_mychar_quote"))
    MOV(11,13,MCI("CS_mychar_curly"))
    SLR(1)
    SOU("CS_029_teleport")
    AMC("teleport_in")
    WAI(100)
    ANP("TeleporterBase1","light_off")
end

function Server1()
    KEY()
    MS3("\nWelcome to the black market~")NOD()
end

function SetTeleporter1()
    PRI()
    MS4("\nTransport to [Teleportation Room]?")YNJ()
    if(YES()) then
        CLO()
        KEY()
        AMC("normal")
        WAI(60)
        SOU("CS_029_teleport")
        ANP("TeleporterBase1","light_on")
        AMC("teleport_out")
        WAI(100)
        FLP("BackTalaRoom")
        FAO(0)
        TRA("CS_soapcastle_talaroom","QuoteCurlyArrive",29,14)    
    end
end

